
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JSP 获取真实IP地址的代码_JSP编程 / iVAN</title>

    <meta name="description" content="JSP 获取真实IP地址的代码_JSP编程 但是在通过了 Apache,Squid等反向代理软件就不能获取到客户端的真实IP地址了.如果使用了反向代理软件,用 request.getRemoteAddr()方法获取的IP地址是:127.0.0.1或 192.168.1.110,而并不是客户端的真实IP. 经过代理以后,由于在客户端和服务之间增加了中间层,因此服务器无法直接拿到客户端的 IP,服务器端应用也无法直接通过转发请求的地址返回给客户端.但是在转发请求的HTTP头信息中,增加了X-FORWARDED-FOR信息.用以跟踪原有的客户端">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JSP 获取真实IP地址的代码_JSP编程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>但是在通过了 Apache，Squid等反向代理软件就不能获取到客户端的真实IP地址了。如果使用了反向代理软件，用 request.getRemoteAddr（）方法获取的IP地址是：127.0.0.1或 192.168.1.110，而并不是客户端的真实ＩＰ。 <br />经过代理以后，由于在客户端和服务之间增加了中间层，因此服务器无法直接拿到客户端的 IP，服务器端应用也无法直接通过转发请求的地址返回给客户端。但是在转发请求的HTTP头信息中，增加了X－FORWARDED－FOR信息。用以跟踪原有的客户端IP地址和原来客户端请求的服务器地址。当我们访问index.jsp/时，其实并不是我们浏览器真正访问到了服务器上的index.jsp 文件，而是先由代理服务器去访问index.jsp ，代理服务器再将访问到的结果返回给我们的浏览器，因为是代理服务器去访问index.jsp的，所以index.jsp中通过 request.getRemoteAddr（）的方法获取的IP实际上是代理服务器的地址，并不是客户端的IP地址。 <br />于是可得出获得客户端真实IP地址的方法一：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public String getRemortIP(HttpServletRequest request) { <br />if (request.getHeader("x-forwarded-for") == null) { <br />return request.getRemoteAddr(); <br />} <br />return request.getHeader("x-forwarded-for"); <br />}</p>
<p>获得客户端真实IP地址的方法二：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public String getIpAddr(HttpServletRequest request) { <br />String ip = request.getHeader("x-forwarded-for"); <br />if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) { <br />ip = request.getHeader("Proxy-Client-IP"); <br />} <br />if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) { <br />ip = request.getHeader("WL-Proxy-Client-IP"); <br />} <br />if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) { <br />ip = request.getRemoteAddr(); <br />} <br />return ip; <br />}</p>
<p>可是，如果通过了多级反向代理的话，X-Forwarded-For的值并不止一个，而是一串IP值，究竟哪个才是真正的用户端的真实IP呢？ <br />答案是取X-Forwarded-For中第一个非unknown的有效IP字符串。如： <br />X-Forwarded-For：192.168.1.110， 192.168.1.120， 192.168.1.130， 192.168.1.100 <br />用户真实IP为： 192.168.1.110</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 13:29:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/jsp/" title="jsp">jsp</a>, <a href="https://www.iamivan.net/tag/ip%e5%9c%b0%e5%9d%80/" title="ip地址">ip地址</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JSP 获取真实IP地址的代码_JSP编程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXx7yjp.html" rel="bookmark">jsp获取客户端IP地址的方法&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jsp获取客户端IP地址的方法.分享给大家供大家参考,具体如下: public static String getIpAddr(HttpServletRequest request) { String ip = request.getHeader(&quot;X-Forwarded-For&quot;); if (ip == null || ip.length() == 0 || &quot;unknown&quot;.equalsIgnoreCase(ip)) { ip = request			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZY1Jz.html" rel="bookmark">JSP自定义标签获取用户IP地址的方法&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.编写一个实现tag接口的标签处理器类 复制代码 代码如下: package cn.itcast.web.tag; import java.io.IOException; import javax.servlet.http.HttpServletRequest;import javax.servlet.jsp.JspException;import javax.servlet.jsp.JspWriter;import javax.servlet.jsp.PageContext;import j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N2rDz.html" rel="bookmark">php获取本机真实IP地址实例代码&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了php获取本机真实IP地址实例代码,供大家参考. 主要是获取操作系统为win2000/xp.win7的本机IP真实地址,和获取操作系统为linux类型的本机IP真实地址,具体内容如下 function getLocalIP() { $preg = &quot;/\A((([0-9]?[0-9])|(1[0-9]{2})|(2[0-4][0-9])|(25[0-5]))\.){3}(([0-9]?[0-9])|(1[0-9]{2})|(2[0-4][0-9])|(25[0-5]))\Z/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqoajz.html" rel="bookmark">&lbrack;原创&rsqb;分析解决lvs fullnat模式下后端服务器获取真实IP地址异常问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要 分析解决lvs fullnat模式下少量的请求记录client IP不是用户真实的IP地址问题. 原创文章:来自分析lvs fullnat模式下后端服务器获取真实IP地址异常问题 问题背景 lvs fullnat模式下观察后端服务器realserver http/https业务运行系统日志,有时候可以发现有少量的请求记录的client IP不是用户真实的IP地址(存在但出现的概率很小,增加了问题排查的难度),而是属于lvs主机私有的IP地址.关于fullnat的简介可以参考http://w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJP35p.html" rel="bookmark">使用阿里云来做服务端，udp传输协议，如何获取真实ip地址？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用阿里云来做服务端,udp传输协议,如何获取真实ip地址? 使用阿里云来做服务端,udp传输协议,如何获取真实ip地址? 解决方案 谁获得谁的真实ip.你怎么定义&quot;真实ip&quot;? 首先,你的服务器天然可以获得客户端公网的ip,你的客户端天然可以获得服务器的ip 至于你要获得客户端的私有ip,你可以在客户端获得了,作为你udp数据包的一部分发给服务端.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zexnX0p.html" rel="bookmark">php中获取真实IP地址与IP地址验证函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				获取用户真实IP地址  代码如下 复制代码 function get_client_ip( ) {         if ( getenv( &quot;REMOTE_ADDR&quot; ) &amp;&amp; strcasecmp( getenv( &quot;REMOTE_ADDR&quot; ), &quot;unknown&quot; ) )         {                 $onlineip = getenv( &quot;REMOTE_ADDR&quot; );    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVL9BM.html" rel="bookmark">如何用ASP获取真实IP地址</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道,在ASP中可以使用Request.ServerVariables(&quot;REMOTE_ADDR&quot;)来取得客户端的IP地址,但如果客户端是使用代理服务器来访问,那取到的就是代理服务器的IP地址,而不是真正的客户端IP地址.要想透过代理服务器取得客户端的真实IP地址,就要使用Request.ServerVariables(&quot;HTTP_X_FORWARDED_FOR&quot;)来读取. 不过要注意的是,并不是每个代理服务器都能用Request.ServerVariable			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyq5EM.html" rel="bookmark">ASP如何获取真实IP地址</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ip地址 在 ASP 中使用 Request.ServerVariables(&quot;REMOTE_ADDR&quot;) 来取得客户端的 IP 地址,但如果客户端是使用代理服务 器来访问,那取到的就是代理服务器的 IP 地址,而不是真正的客户端 IP 地址.要想透过代理服务器取得客户端的真实 IP 地址,就要使用 Request.ServerVariables(&quot;HTTP_X_FORWARDED_FOR&quot;) 来读取. 不过要注意的事,并不是每个代理服务器都能用 Request.S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPllYqp.html" rel="bookmark">ASP如何获取真实IP地址&lowbar;ASP基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 ASP 中使用 Request.ServerVariables(&quot;REMOTE_ADDR&quot;) 来取得客户端的 IP 地址,但如果客户端是使用代理服务器来访问,那取到的就是代理服务器的 IP 地址,而不是真正的客户端 IP 地址.要想透过代理服务器取得客户端的真实 IP 地址,就要使用Request.ServerVariables(&quot;HTTP_X_FORWARDED_FOR&quot;) 来读取. 不过要注意的事,并不是每个代理服务器都能用 Request.ServerVa			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJADqp.html" rel="bookmark" class="title">String和StringBuilder区别</a>
					<div>
						C#          String 对象是不可改变的.每次使用 System.String 类中的方法之一时,都要在内存中创建一个新的字符串对象,这就需要为该新对象分配新的空间.在需要对字符串执行重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnWXWz.html" rel="bookmark" class="title">网络营销策略应先行与企业网站优化</a>
					<div>
						不能盲目的找到关键词就开始优化.优化是一件长期实行的过程,企业网站优化需要一些营销策略.那么有一个战术策略或许对优化的协助更大,同时实现了既容易优化又可带来直接效益.特别是企业在找网络公司优化的时候就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3vO0z.html" rel="bookmark" class="title">股票报价的WebService（转天极网）之二</a>
					<div>
						web 配置Web服务&lt;br&gt;&lt;br&gt; 配置Web 服务与一个配置ASP.NET应用程序相同.如果自己有Web服务器,那么就创建一个称为stockquote 的虚拟目录,然后将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAAP0b.html" rel="bookmark" class="title">JavaScript实现Konami Code</a>
					<div>
						在 Facebook 上有一个彩蛋: 登录 facebook.com ,点击你首页的任何地方,键盘输入 Up, Up, Down, Down, Left, Right, Left, Right, B, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPZYKz.html" rel="bookmark" class="title">无线路由器和有线路由器的区别介绍</a>
					<div>
						  无线路由器和有线路由器最大的区别体现在和电脑的连接方式上面,其它方面的功能都是一样的,并没有太大的差别.电脑要使用有线路由器来上网,必须要使用网线来进行连接.有线路由器只适合有网线接口的设备使用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKR4yp.html" rel="bookmark" class="title">系统巧妙设置让Windows 8开机更快</a>
					<div>
						Windows 8中巧用休眠替代的传统的关机,大大提高了用户开关机的速度.除此之外还可以在msconfig中,做一些设置,让开机速度更快. 方法一:设置msconfig 1:Win+X调出命令快捷栏, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLXn5b.html" rel="bookmark" class="title">JS实现OCX控件的事件响应示例</a>
					<div>
						 JS支持OCX控件的事件(event),当OCX控件定义的事件发生时,JS可以捕获该事件并对事件进行相应的处理. 个人理解,其实就是事件的响应由谁来完成,OCX控件自身肯定是可以实现的,JS提供的这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwLqKp.html" rel="bookmark" class="title">JavaScripst效果：全选、全不选、反选</a>
					<div>
						正文 代码如下: &lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt;     &lt;meta charset=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3096M.html" rel="bookmark" class="title">PS手把手教你打造酷炫的专属星球特效</a>
					<div>
						  我们该如何打造星球特效?一定有人会告诉你用极坐标.但这个方法真的有些落伍了.今天@他山之眼 向大家强力推荐一个超方便的方法,操作更加方便,效果更加酷炫,一起来把你熟悉的场景变成一颗星球悬浮在太空中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRQNVp.html" rel="bookmark" class="title">Windows7写字板快捷键汇总</a>
					<div>
						  Windows 7写字板的键盘快捷键汇总: Ctrl+N 新建一个文档 Ctrl+O 打开一个现有文档 Ctrl+S 将更改保存到文档 F12 将此文档另存为新文件 Ctrl+P 打印文档 Alt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG1d1b.html" rel="bookmark" class="title">c&plus;&plus;-数据结构-Prim算法，最小生成树</a>
					<div>
						问题描述 数据结构-Prim算法,最小生成树 写的最小堆模板套一个边结点老是报错,求解决方法 解决方案 多贴点代码吧. 是不是少了MSTEdgeNode所在的头文件 解决方案二: 错误那句,后面那个连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kgNxM.html" rel="bookmark" class="title">从远程Oracle服务器上同步复制数据到本地备份库</a>
					<div>
						create or replace PROCEDURE &quot;SYNC_DATA_FROM_DBLINK_DB&quot; AS BEGIN DECLARE CURSOR c_TabNames  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2KQAb.html" rel="bookmark" class="title">JS魔法堂：彻底理解0&period;1 &plus; 0&period;2 &equals;&equals;&equals; 0&period;30000000000000004的背后</a>
					<div>
						Brief   一天有个朋友问我&quot;JS中计算0.7 * 180怎么会等于125.99999999998,坑也太多了吧!&quot;那时我猜测是二进制表示数值时发生round-off erro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNDKKz.html" rel="bookmark" class="title">FileUpload实现文件上传（包含多文件）</a>
					<div>
						package com.hzml.serve; import java.io.File; import java.io.IOException; import java.io.PrintWriter; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nmjnz.html" rel="bookmark" class="title">基于Thrift实现跨语言服务</a>
					<div>
						假设,现在我们有这样一个需求: 要通过一个代理平台,将查询请求转发到后端服务器进行查询.后端存在多种查询服务器,查询方式也不同,比如,有基于SQL的关系数据库查询,也有基于搜索引擎Solr的查询.通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEo3ap.html" rel="bookmark" class="title">江苏asp&period;net技术交流群，欢迎加入！</a>
					<div>
						问题描述 群号212748510 解决方案 解决方案二:Good解决方案三:山东的可以加入吗解决方案四:哈哈~!加入了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmZ0az.html" rel="bookmark" class="title">关于嵌入式如何学习（看了不后悔，给学技术的同行一条光明的路）</a>
					<div>
						关于嵌入式如何学习,我相信有很多大牛回答得很专业,最近在知乎上看到一网名为----李brooks,~的网友对此进行了总结,我个人觉得非常好,还有其他两位网友li crifan和Tony Ho,毕竟我工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEeJ2z.html" rel="bookmark" class="title">java 正则 截取字符串-java 正则匹配String字符串截取问题</a>
					<div>
						问题描述 java 正则匹配String字符串截取问题 比如现在有这样一个字符串 &quot; A4,80列,三层,带双列线,二等分 白色 1200页/箱 ,10箱/包 &quot; 我需要把它分开处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYY8Ep.html" rel="bookmark" class="title">mysql-新闻app获取新闻，获取不了，输出的日志在下边麻烦大神看看</a>
					<div>
						问题描述 新闻app获取新闻,获取不了,输出的日志在下边麻烦大神看看 java写的服务端接口,tomcat,mysql都能正常运行,数据库里有信息. 03-17 10:55:13.347: E/Act ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAl4vM.html" rel="bookmark" class="title">将Facade装饰模式的代码由C&num;转为JAVA</a>
					<div>
						呵呵,除了输出语句,其它几乎完全一样. 看来都是类C.流着同样的血液. 1 class Stock 2 { 3 public void Sell() 4 { 5 System.out.println( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBEvqM.html" rel="bookmark" class="title">c语言-C语言代码，新手，帮忙看看哪里有错误</a>
					<div>
						问题描述 C语言代码,新手,帮忙看看哪里有错误 #include #include int main() { double a,b,c,disc,x1,x2,realpart,imagpart; sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAJQ1b.html" rel="bookmark" class="title">有开发过SignalR的吗？ 程序挂在IIS上，网站启动时怎么让hub也启动&quest; 我Client连不上iis里的Hub，但是在vs调试中是可以链上的</a>
					<div>
						问题描述 现在情况是这样的.我的signalr建在web工程里面,然后我做了一个console工程的测试程序,用来链入Hub中,并且接收广播消息classProgram{staticvoidMain( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX7r5b.html" rel="bookmark" class="title">java-String s &equals;new String&lpar;&amp;amp&semi;amp&semi;quot&semi;xyz&amp;amp&semi;amp&semi;quot&semi;&rpar;创建了几个String Object</a>
					<div>
						问题描述 String s =new String(&quot;xyz&quot;)创建了几个String Object 如题所示 String s =new String(&quot;xyz&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJgd8p.html" rel="bookmark" class="title">叫兽易小星《万万》后出姊妹篇《学姐知道》九款海报曝光</a>
					<div>
						由万合天宜和乐视自制联合出品,叫兽易小星团队打造的全新形态剧种--百科喜剧&lt;学姐知道&gt;,即将于7月23日重磅上线.据了解,该剧每集8-10分钟,采用周播模式专为移动端定制打造.日前首款 曝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J8ANz.html" rel="bookmark" class="title">苹果公司要求开发者必须在应用程序中使用一项专利技术</a>
					<div>
						苹果iOS开发者正受到专利诉讼威胁,造成该问题的原因是苹果公司要求开发者必须在应用程序中使用一项专利技术,而其却并未为开发者取得该专利的授权,这让开发者陷入了困境.业界呼吁苹果公司能够站出来解决这一问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeog89M.html" rel="bookmark" class="title">网络- HttpURLConnection重复提交请求</a>
					<div>
						问题描述 HttpURLConnection重复提交请求 各位大神 我就剩下50 GB 了 求解 . HttpURLConnection 请求数据超时了以后,会重复提交一下上次提交的网络数据! 不知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodA1DM.html" rel="bookmark" class="title">如何让你的 Docker 镜像更小</a>
					<div>
						Docker是个好东西毋庸置疑,甚至可以称其为万金油,什么场合都看到他的身影.自14年底开始,小到防污染的DNS.CoreOS的socks5代理,大点到开发团队的CI系统,一些Web项目等等,都有在用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw0dWM.html" rel="bookmark" class="title">C＃　我再panel动态创建picturebox内存不断增长，求高手指教</a>
					<div>
						问题描述 程序是动态创建picturebox背景加上汽车图片作为一个小汽车,这个小汽车自创建起,每30毫秒移动5像素,当移动到pannel边缘时就删掉,所有picturebox是存在arraylist ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZWvQb.html" rel="bookmark" class="title">JAVA算法起步之快速排序实例&lowbar;java</a>
					<div>
						快速排序一听这个名字可能感觉很快,但是他的算法时间复杂度最坏情况却跟插入排序是一样的.之所以成为快速排序是因为他的平均效率比堆排序还要快,快速排序也是基于分治思想与归并排序差不多,但是快速排序是原址的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44R29z.html" rel="bookmark" class="title">在 Ubuntu 16&period;04 为 Nginx 服务器安装 LEMP 环境（MariaDB，PHP 7 并支持 HTTP 2&period;0）&lowbar;Linux</a>
					<div>
						LEMP 是个缩写,代表一组软件包(L:Linux OS,E:Nginx 网络服务器,M:MySQL/MariaDB 数据库和 P:PHP 服务端动态编程语言),它被用来搭建动态的网络应用和网页. ( ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
